
ChiliProject - Feature # 592: Icon to delete an issue comment (Journal)

Status: Open Priority: Normal
Author: Ferdinand Thommes Category: User interface
Created: 2011-08-25 Assignee:
Updated: 2011-10-13 Due date:
Remote issue URL:
Affected version:
Description: As a manager to a project, i cannot delete useless comments or comments that can be considered spam, 

added to a useful issue. The 2 possible ways of dealing with this are: delete the (useful) issue or edit the 
useless comment to it. Is this a feature or a bug?

History
2011-08-28 03:12 am - Tom Rochette
You can "delete" comments by clicking on the edit button and cleaning up the comment (removing all text). When you save, it'll detect that the 
comment is empty, thus deleting it.

There could possibly be a button to replace that "feature" though.

2011-10-13 12:26 am - Eric Davis
- Subject changed from Comments in Issues to Icon to delete an issue comment (Journal)

- Category changed from Issue tracking to User interface

A icon for this would be the best thing to do. Though it will only delete the notes and not attribute changes.

2011-10-13 05:57 am - Felix Schäfer
IIRC I contributed something like that on redmine.org, I'll try to find it back.

2011-10-13 07:16 pm - Niels Lindenthal
Felix SchÃ¤fer wrote:
> IIRC I contributed something like that on redmine.org, I'll try to find it back.

Does it have a separate permission?

2011-10-13 07:38 pm - Holger Just
Niels Lindenthal wrote:
> Does it have a separate permission?

No, it uses the default "edit issue" permission. The proposed delete button is also just a shortcut for an existing (but admittedly well hidden) feature.
